package examenes.examen20250131.ejercicio01;

import examenes.examen20250131.utils.Utils;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class Main {
    public static void main(String[] args) {
        HashMap<String, Double> productos = new HashMap<String, Double>();
        int opcion;

        do {
            System.out.println("Seleccione lo que desea hacer:\n" +
                    "0. Salir\n" +
                    "1. Introducir productos\n" +
                    "2. Ver lista de productos ordenada por nombre");

            opcion = Utils.solicitarIntScannerInline("> ");
            switch (opcion) {
                case 1:
                    productos.put(Utils.solicitarStringScannerInline("Introduzca el nombre del producto: "),
                            Utils.solicitarDoubleScannerInline("\nIntroduzca el precio del producto: "));
                    break;
                case 2:
                    List<String> listaProductos = new ArrayList<String>();
                    for (Object producto : productos.keySet().toArray()) {
                        listaProductos.add((String) producto);
                    }
                    listaProductos = Utils.ordenarBurbujaListaStrings(listaProductos);

                    for (String p : listaProductos) {
                        System.out.println(p + ": " + productos.get(p));

                    }
                    break;

            }
        } while (opcion != 0);


    }
}
